{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
Lists all products available for ordering in a paginated response. You can filter the products by country and category.This endpoint returns different payout types:
gift_card: A gift card is a payout that can be redeemed for a specific value.
subscription: A subscription is a payout that can be ordered for a specific duration.
payment: A payment is a payout that can be ordered for a specific value.
You should use the payout_type field to determine which object to use to extract details for the product. The different payout types have different fields, so you should use the appropriate object to extract the details you need.
Need help with the product catalog?
We have a guide to help you get started with the product catalog, including
how to filter the catalog and the different payout types.
Authorizations
X-Api-Key
string
header
required
Your API key. See the API key page on details of how to generate and store your keys.
Scopes
read:product
Headers
X-Api-Version
enum<string>
default:2024-02-05
The dated version of the API, if not specified a default is used. See API versioning for more information.
The dated version of the Runa API. Send it on every request: a client that omits it silently follows whatever the server default happens to be.
Available options:
2024-02-05
Query Parameters
is_orderable
boolean
Filter by whether a product can be ordered. If true, only orderable products are returned. If false or omitted, both orderable and non-orderable products are returned.
countries_redeemable_in
string[]
Filter by countries where a product can be redeemed in. To specify multiple countries repeat the parameter for each country, e.g. ?countries_redeemable_in=US&countries_redeemable_in=GB. You can pull the list of supported countries from the list countries endpoint.
ISO 3166 ALPHA-2 country code
Pattern: ^[A-Z]{2}$
categories
string[]
Filter by product categories. To specify multiple categories repeat the parameter for each category, e.g. ?categories=fashion&categories=department-stores. You can pull the list of categories from the list categories endpoint.
Product category name
before
string
A cursor for use in pagination to return the previous set of results. The before and after cursors are mutually exclusive (you can't use them at the same time). You can get a value from the pagination.cursors.before field in the response. See pagination for more information.
Example:
"A-123"
after
string
A cursor for use in pagination to return the next set of results. The before and after cursors are mutually exclusive (you can't use them at the same time). You can get a value from the pagination.cursors.after field in the response. See pagination for more information.
Example:
"A-789"
limit
integer
default:500
A limit on the number of items to be returned. See pagination for more information on how to use this parameter.
Required range: 1 <= x <= 500
Response
List of products in your catalog
catalog
object[]
Show child attributes
pagination
Pagination · object
Information about the page of results returned. See pagination for more information on how to page through results.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Runa Developer Hub","description":"Send instant B2C payments your recipients will love","colors":{"primary":"#62cc50","light":"#4fff7b","dark":"#3dd463"},"logo":{"light":"https://brand-assets.runa.io/logo-horizontal-black.svg","dark":"https://brand-assets.runa.io/logo-horizontal-white.svg"},"favicon":"https://mintcdn.com/runa/3fuhXTcDrFXCr5CT/favicon.svg?fit=max\u0026auto=format\u0026n=3fuhXTcDrFXCr5CT\u0026q=85\u0026s=34c8b1765044aaa9687fd1647ac25821","navbar":{"links":[],"primary":{"type":"button","label":"Back to app","href":"https://app.runa.io"}},"footer":{"socials":{"website":"https://runa.io","linkedin":"https://www.linkedin.com/company/runapayouts"}},"fonts":{"heading":{"family":"F37 Lineca","weight":600,"source":"https://brand-assets.runa.io/design-system/fonts/f37lineca/F37Lineca-Bold.woff2","format":"woff2"},"body":{"family":"Inter"}},"styling":{"eyebrows":"breadcrumbs","latex":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"runa","hasAudioNarration":false,"actualSubdomain":"runa","customDomains":["developer.runa.io"],"gitSource":{"type":"github","owner":"wegift","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af59cbe55654e521ba1c260","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API Guides","count":29},{"language":"default","tag":"API Reference","count":22},{"language":"default","tag":"Features","count":14},{"language":"default","tag":"Changelogs","count":12},{"language":"default","tag":"Network","count":11},{"language":"default","tag":"Archived pages","count":8},{"language":"default","tag":"Before you go live","count":7},{"language":"default","tag":"Getting started","count":7},{"language":"default","tag":"Reference","count":7},{"language":"default","tag":"Webhooks","count":5}]},"assistantConfig":{"enableStarterQuestions":true,"deflection":{"enabled":true,"email":"support@runa.io","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"starterQuestions":[{"_id":"695cf0470512f37d886f09f6","deploymentId":"67e1763caf7c6a387185058a","questionText":"How should I handle errors from the API?","status":"active","generatedBy":"manual","createdAt":"2026-01-06T11:21:43.258Z","updatedAt":"2026-01-06T11:21:43.258Z","__v":0},{"_id":"695cf01e0512f37d886f0747","deploymentId":"67e1763caf7c6a387185058a","questionText":"How can I create my first order?","status":"active","generatedBy":"manual","createdAt":"2026-01-06T11:21:02.480Z","updatedAt":"2026-01-06T11:21:02.480Z","__v":0},{"_id":"695cf0140512f37d886f06a8","deploymentId":"67e1763caf7c6a387185058a","questionText":"How do I create an API key?","status":"active","generatedBy":"manual","createdAt":"2026-01-06T11:20:52.926Z","updatedAt":"2026-01-06T11:20:52.926Z","__v":0}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"html{overflow-y:scroll}#navbar{background:black!important;color-scheme:dark;color:white!important}#navbar-transition{background:black!important}#navbar .text-gray-800,#navbar .text-gray-600,#navbar .text-gray-700{color:white!important}.nav-logo.hidden{display:block!important}.nav-logo.block{display:none!important}#search-bar-entry{background:black!important;color:white!important;border:1px solid rgba(255, 255, 255, 0.9)}#assistant-entry{background:white}#assistant-entry .text-gray-700,#assistant-entry .text-gray-500{color:black!important}#chat-assistant-sheet{border-left:1px solid #e5e7eb}.nav-tabs [class*=\"h-[1.5px]\"]{height:3px!important}#navbar a[href=\"https://app.runa.io\"] .bg-primary-dark{background:linear-gradient(20deg, #00ffa3, #93ff82, #eefc51) border-box}#navbar a[href=\"https://app.runa.io\"] .text-white,#navbar a[href=\"https://app.runa.io\"] svg{color:black}#navigation-items .text-primary{color:black}#navigation-items .dark\\:text-primary-light:is(.dark *){color:rgb(var(--primary-light) / var(--tw-text-opacity))}#navigation-items .bg-primary{background-color:black}#navigation-items .dark\\:bg-primary-light:is(.dark *){background-color:rgb(var(--primary-light) / var(--tw-bg-opacity))}#navigation-items .bg-primary\\/10{background-color:rgb(var(--primary) / 0.2)}#navigation-items .dark\\:bg-primary-light\\/10:is(.dark *){background-color:rgb(var(--primary-light) / 0.2)}"},{"filePath":"welcome.css","content":".hero-button{background:linear-gradient(black, black) padding-box,\n linear-gradient(to top right, #00ffa3, #93ff82, #eefc51) border-box;border-radius:50em;border:2px solid transparent;border-radius:3rem;padding:0.75rem 2rem;font-size:1rem;color:white;font-weight:bold;text-decoration:none;text-transform:uppercase;transition:all 0.3s ease-in-out}.hero-button:hover{background:linear-gradient(black, black) padding-box,\n linear-gradient(to right, white, white) border-box}"}],"page":{"pagePath":"reference/2024-02-05/endpoint/products/list","slug":"/reference/2024-02-05/endpoint/products/list","pageMetadata":{"title":"List products","openapi":"reference/2024-02-05/openapi.json GET /product","description":"List all products in your catalog\n\n**Required scope:** `read:product`","href":"/reference/2024-02-05/endpoint/products/list"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"List all products in your catalog\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Required scope:\"\n }), \" \", _jsx(_components.code, {\n children: \"read:product\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,ul:`ul`,..._provideComponents(),...props.components},{Card}=_components;if(!Card)_missingMdxReference(`Card`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Lists all products available for ordering in a paginated response. You can filter the products by country and category.`}),`\n`,_jsx(_components.p,{children:`This endpoint returns different payout types:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`gift_card`}),`: A gift card is a payout that can be redeemed for a specific value.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`subscription`}),`: A subscription is a payout that can be ordered for a specific duration.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`payment`}),`: A payment is a payout that can be ordered for a specific value.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`You should use the `,_jsx(_components.code,{children:`payout_type`}),` field to determine which object to use to extract details for the product. The different payout types have different fields, so you should use the appropriate object to extract the details you need.`]}),`\n`,_jsx(Card,{title:`Need help with the product catalog?`,href:`/features/product-catalog`,icon:`graduation-cap`,horizontal:true,arrow:true,children:_jsx(_components.p,{children:`We have a guide to help you get started with the product catalog, including\nhow to filter the catalog and the different payout types.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List products","openapi":"reference/2024-02-05/openapi.json GET /product","description":"List all products in your catalog\n\n**Required scope:** `read:product`","href":"/reference/2024-02-05/endpoint/products/list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"listProducts","summary":"List products","description":"List all products in your catalog\n\n**Required scope:** `read:product`","security":["b64df3b7-74fa-455c-80a6-5da7817dbf3c"],"tags":["Products"],"parameters":["095e05dd-8439-4e90-962a-57c9db211181","5f69e973-18b0-49d7-ba00-732b177884a1","0c4486d1-f942-4301-9430-d54d16d46994","fbf13c5c-62a4-42bf-87d7-a8140968eb83","20554d05-3a99-4976-94d6-ffef1071d13c","c1d0b195-ffc3-4ee1-9751-308da8ef4aa1","c8314e6b-83f3-409f-b596-3ead92932ed5"],"responses":{"200":"ea67b82b-9aa6-44ae-b776-a90657eab2a0","400":"7f1f3e44-bca1-47c7-8899-446505ee110b","401":"d06af0f9-ebb2-4a93-a699-8cec50d35d39","403":"b7838556-1c6f-4a35-929f-8497cffc051a","500":"d61e6406-66cb-453e-b818-02ffe70f8aab"},"method":"get","type":"path","servers":["fdd1598e-dfc9-4c40-b0fd-0c4c728eb490","78510288-7149-49e7-9c1f-3582a76e7efb"],"path":"/product","baseUrlOptions":["https://playground.runa.io/v2","https://api.runa.io/v2"],"title":"List products","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"095e05dd-8439-4e90-962a-57c9db211181":{"name":"X-Api-Version","description":"The dated version of the API, if not specified a default is used. See [API versioning](/best-practices/api-versioning) for more information.","in":"header","required":false,"schema":{"title":"API version","type":"string","enum":["2024-02-05"],"default":"2024-02-05","description":"The dated version of the API, if not specified a default is used. See [API versioning](/best-practices/api-versioning) for more information.\nThe dated version of the Runa API. Send it on every request: a client that omits it silently follows whatever the server default happens to be.","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"}},"5f69e973-18b0-49d7-ba00-732b177884a1":{"in":"query","name":"is_orderable","description":"Filter by whether a product can be ordered. If `true`, only orderable products are returned. If `false` or omitted, both orderable and non-orderable products are returned.","schema":{"type":"boolean","description":"Filter by whether a product can be ordered. If `true`, only orderable products are returned. If `false` or omitted, both orderable and non-orderable products are returned.","uniqueKey":"","typeLabel":"boolean"}},"0c4486d1-f942-4301-9430-d54d16d46994":{"in":"query","name":"countries_redeemable_in","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","pattern":"^[A-Z]{2}$","description":"ISO 3166 ALPHA-2 country code","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"Filter by countries where a product can be redeemed in. To specify multiple countries repeat the parameter for each country, e.g. `?countries_redeemable_in=US\u0026countries_redeemable_in=GB`. You can pull the list of supported countries from the [list countries](/reference/2024-02-05/endpoint/products/countries) endpoint.","uniqueKey":"","typeLabel":"string[]"},"description":"Filter by countries where a product can be redeemed in. To specify multiple countries repeat the parameter for each country, e.g. `?countries_redeemable_in=US\u0026countries_redeemable_in=GB`. You can pull the list of supported countries from the [list countries](/reference/2024-02-05/endpoint/products/countries) endpoint."},"fbf13c5c-62a4-42bf-87d7-a8140968eb83":{"in":"query","name":"categories","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","description":"Product category name","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"Filter by product categories. To specify multiple categories repeat the parameter for each category, e.g. `?categories=fashion\u0026categories=department-stores`. You can pull the list of categories from the [list categories](/reference/2024-02-05/endpoint/products/categories) endpoint.","uniqueKey":"","typeLabel":"string[]"},"description":"Filter by product categories. To specify multiple categories repeat the parameter for each category, e.g. `?categories=fashion\u0026categories=department-stores`. You can pull the list of categories from the [list categories](/reference/2024-02-05/endpoint/products/categories) endpoint."},"20554d05-3a99-4976-94d6-ffef1071d13c":{"name":"before","description":"A cursor for use in pagination to return the previous set of results. The before and after cursors are mutually exclusive (you can't use them at the same time). You can get a value from the `pagination.cursors.before` field in the response. See [pagination](/reference/pagination) for more information.","in":"query","schema":{"type":"string","examples":["A-123"],"description":"A cursor for use in pagination to return the previous set of results. The before and after cursors are mutually exclusive (you can't use them at the same time). You can get a value from the `pagination.cursors.before` field in the response. See [pagination](/reference/pagination) for more information.","uniqueKey":"","typeLabel":"string"}},"c1d0b195-ffc3-4ee1-9751-308da8ef4aa1":{"name":"after","description":"A cursor for use in pagination to return the next set of results. The before and after cursors are mutually exclusive (you can't use them at the same time). You can get a value from the `pagination.cursors.after` field in the response. See [pagination](/reference/pagination) for more information.","in":"query","schema":{"type":"string","examples":["A-789"],"description":"A cursor for use in pagination to return the next set of results. The before and after cursors are mutually exclusive (you can't use them at the same time). You can get a value from the `pagination.cursors.after` field in the response. See [pagination](/reference/pagination) for more information.","uniqueKey":"","typeLabel":"string"}},"c8314e6b-83f3-409f-b596-3ead92932ed5":{"in":"query","name":"limit","description":"A limit on the number of items to be returned. See [pagination](/reference/pagination) for more information on how to use this parameter.","schema":{"type":"integer","default":500,"minimum":1,"maximum":500,"description":"A limit on the number of items to be returned. See [pagination](/reference/pagination) for more information on how to use this parameter.","uniqueKey":"","typeLabel":"integer"}}},"responses":{"ea67b82b-9aa6-44ae-b776-a90657eab2a0":{"description":"List of products in your catalog","content":{"application/json":{"schema":{"type":"object","properties":{"catalog":{"type":"array","items":{"type":"object","description":"Product details","properties":{"name":{"type":"string","description":"The name of the product.","examples":["Example Merchant"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].name","typeLabel":"string"},"code":{"type":"string","description":"A unique code identifying the product. Use this code when placing an order. \n\n_For `subscription` products, this code identifies the top level product. You must use the `subscription_plan_code` instead when ordering._","examples":["XYZ-US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].code","typeLabel":"string"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the product, represented by an ISO 4217 currency code. See [currencies](/reference/currencies) for a list of supported currencies.","examples":["USD"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].currency","typeLabel":"string\u003ciso-4217>"},"state":{"type":"string","enum":["LIVE","TEMPORARILY_DISABLED","TEMPORARILY_DEGRADED"],"description":"The current state of the product.","examples":["LIVE"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].state","typeLabel":"enum\u003cstring>"},"is_orderable":{"type":"boolean","description":"Indicates whether or not you are able to order the product. You should use this detail to determine whether or not to display the product to your end users.\n\nWe recommend that you only display products to customers when this field is `true` - we will reject any orders placed for products where this is `false`. You can filter by `is_orderable` to only return products that can be ordered in the list endpoint.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].is_orderable","typeLabel":"boolean"},"payout_type":{"type":"string","enum":["gift_card","subscription","payment"],"description":"The type of payout - this field will tell you the key of the additional object details that correspond to each payout type. The types currently supported are `gift_card`, `subscription`, or `payment`. Your implementation should account for additional payout types being added in the future.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payout_type","typeLabel":"enum\u003cstring>"},"categories":{"type":"array","items":{"type":"string","uniqueKey":"catalog.items.[INDEX].categories.items.[INDEX]","typeLabel":"string"},"description":"List of the categories that the product belongs to. You can fetch the list of categories using the [`GET /product/categories` endpoint](/reference/2024-02-05/endpoint/products/categories).","examples":[["food-and-drink","entertainment"]],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].categories","typeLabel":"string[]"},"countries_redeemable_in":{"type":"array","items":{"type":"string","pattern":"^[A-Z]{2}$","description":"ISO 3166 ALPHA-2 country code","uniqueKey":"catalog.items.[INDEX].countries_redeemable_in.items.[INDEX]","typeLabel":"string"},"description":"Countries where the payout can be spent.","examples":[["US"]],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].countries_redeemable_in","typeLabel":"string[]"},"customer_service":{"type":"object","description":"Contact information for customer service related to the product. Suitable for displaying to the customer.","properties":{"phone_number":{"oneOf":[{"type":"string","description":"The customer service phone number.","examples":["+1234567890"],"uniqueKey":"catalog.items.[INDEX].customer_service.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer service phone number.","examples":["+1234567890"],"uniqueKey":"catalog.items.[INDEX].customer_service.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].customer_service.phone_number","typeLabel":"string | null"},"website_url":{"oneOf":[{"type":"string","format":"uri","description":"The customer service website URL.","examples":["https://merchant.example.com/customer-service"],"uniqueKey":"catalog.items.[INDEX].customer_service.website_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The customer service website URL.","examples":["https://merchant.example.com/customer-service"],"uniqueKey":"catalog.items.[INDEX].customer_service.website_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].customer_service.website_url","typeLabel":"string\u003curi> | null"}},"isRequired":true,"uniqueKey":"catalog.items.[INDEX].customer_service","typeLabel":"object"},"discount_multiplier":{"type":"string","pattern":"^[0-9]+\\.[0-9]{1,4}$","description":"The discount multiplier used when ordering. `0` means no discount and `0.1` means 10% discount. The discount is applied on the price of the order item before any fees are applied.","examples":["0.05"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].discount_multiplier","typeLabel":"string"},"availability":{"type":"string","enum":["stocked","realtime"],"description":"The availability type of the product.","examples":["realtime"],"uniqueKey":"catalog.items.[INDEX].availability","typeLabel":"enum\u003cstring>"},"gift_card":{"type":"object","description":"Specific details about the gift card product, only populated when the `payout_type` is `gift_card`.","properties":{"assets":{"title":"Product assets","description":"Graphical assets for the product, including card image, icon image, and primary color.","type":"object","properties":{"card_image_url":{"oneOf":[{"type":"string","format":"uri","description":"The URL of the card image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-card.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.card_image_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The URL of the card image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-card.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.card_image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.card_image_url","typeLabel":"string\u003curi> | null"},"icon_image_url":{"oneOf":[{"type":"string","format":"uri","description":"The URL of the icon image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-icon.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.icon_image_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The URL of the icon image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-icon.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.icon_image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.icon_image_url","typeLabel":"string\u003curi> | null"},"primary_color":{"oneOf":[{"type":"string","pattern":"^#[0-9A-Fa-f]{6}$","examples":["#000000"],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.primary_color.oneOf.0","typeLabel":"string"},{"type":"null","pattern":"^#[0-9A-Fa-f]{6}$","examples":["#000000"],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.primary_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.assets.primary_color","typeLabel":"string | null"}},"uniqueKey":"catalog.items.[INDEX].gift_card.assets","typeLabel":"Product assets · object"},"balance_check_url":{"oneOf":[{"type":"string","format":"uri","description":"URL to check the gift card balance. This will be a provider specific URL that a consumer can use to check the balance of the gift card.","examples":["https://merchant.example.com/balance-check"],"uniqueKey":"catalog.items.[INDEX].gift_card.balance_check_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"URL to check the gift card balance. This will be a provider specific URL that a consumer can use to check the balance of the gift card.","examples":["https://merchant.example.com/balance-check"],"uniqueKey":"catalog.items.[INDEX].gift_card.balance_check_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.balance_check_url","typeLabel":"string\u003curi> | null"},"content_resources":{"oneOf":[{"type":"object","title":"URL","description":"Content resources in URL format.","required":["description_markdown_url","disclaimer_markdown_url","refund_policy_markdown_url","reissuance_policy_markdown_url","terms_buyer_markdown_url","terms_consumer_markdown_url","redemption_instructions_markdown_url","locale"],"properties":{"description_markdown_url":{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the description of the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/description.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.description_markdown_url","typeLabel":"string\u003curi>"},"disclaimer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the disclaimer information.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/disclaimer_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.disclaimer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the disclaimer information.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/disclaimer_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.disclaimer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.disclaimer_markdown_url","typeLabel":"string\u003curi> | null"},"refund_policy_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that outlines the refund policy, if applicable.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/refund_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.refund_policy_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that outlines the refund policy, if applicable.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/refund_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.refund_policy_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.refund_policy_markdown_url","typeLabel":"string\u003curi> | null"},"reissuance_policy_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that details the reissuance policy for the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/reissuance_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.reissuance_policy_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that details the reissuance policy for the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/reissuance_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.reissuance_policy_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.reissuance_policy_markdown_url","typeLabel":"string\u003curi> | null"},"terms_buyer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to buyers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_buyer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.terms_buyer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to buyers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_buyer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.terms_buyer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.terms_buyer_markdown_url","typeLabel":"string\u003curi> | null"},"terms_consumer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to consumers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_consumer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.terms_consumer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to consumers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_consumer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.terms_consumer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.terms_consumer_markdown_url","typeLabel":"string\u003curi> | null"},"redemption_instructions_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that provides instructions for redeeming the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/redeem_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.redemption_instructions_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that provides instructions for redeeming the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/redeem_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.redemption_instructions_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.redemption_instructions_markdown_url","typeLabel":"string\u003curi> | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.0","typeLabel":"URL · object"},{"type":"object","title":"Markdown","description":"Content resources in Markdown format.","required":["description_md","disclaimer_md","refund_policy_md","reissuance_policy_md","terms_buyer_md","terms_consumer_md","redemption_instructions_md","locale"],"properties":{"description_md":{"type":"string","description":"Markdown content for the resource description.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.description_md","typeLabel":"string"},"disclaimer_md":{"oneOf":[{"type":"string","description":"Markdown content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.disclaimer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.disclaimer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.disclaimer_md","typeLabel":"string | null"},"refund_policy_md":{"oneOf":[{"type":"string","description":"Markdown content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.refund_policy_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.refund_policy_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.refund_policy_md","typeLabel":"string | null"},"reissuance_policy_md":{"oneOf":[{"type":"string","description":"Markdown content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.reissuance_policy_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.reissuance_policy_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.reissuance_policy_md","typeLabel":"string | null"},"terms_buyer_md":{"oneOf":[{"type":"string","description":"Markdown content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.terms_buyer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.terms_buyer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.terms_buyer_md","typeLabel":"string | null"},"terms_consumer_md":{"oneOf":[{"type":"string","description":"Markdown content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.terms_consumer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.terms_consumer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.terms_consumer_md","typeLabel":"string | null"},"redemption_instructions_md":{"oneOf":[{"type":"string","description":"Markdown instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.redemption_instructions_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.redemption_instructions_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.redemption_instructions_md","typeLabel":"string | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.1","typeLabel":"Markdown · object"},{"type":"object","title":"HTML","description":"Content resources in HTML format.","required":["description_html","disclaimer_html","refund_policy_html","reissuance_policy_html","terms_buyer_html","terms_consumer_html","redemption_instructions_html","locale"],"properties":{"description_html":{"type":"string","format":"html","description":"HTML content for the resource description.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.description_html","typeLabel":"string\u003chtml>"},"disclaimer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.disclaimer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.disclaimer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.disclaimer_html","typeLabel":"string\u003chtml> | null"},"refund_policy_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.refund_policy_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.refund_policy_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.refund_policy_html","typeLabel":"string\u003chtml> | null"},"reissuance_policy_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.reissuance_policy_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.reissuance_policy_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.reissuance_policy_html","typeLabel":"string\u003chtml> | null"},"terms_buyer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.terms_buyer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.terms_buyer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.terms_buyer_html","typeLabel":"string\u003chtml> | null"},"terms_consumer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.terms_consumer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.terms_consumer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.terms_consumer_html","typeLabel":"string\u003chtml> | null"},"redemption_instructions_html":{"oneOf":[{"type":"string","format":"html","description":"HTML instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.redemption_instructions_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.redemption_instructions_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.redemption_instructions_html","typeLabel":"string\u003chtml> | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources.oneOf.2","typeLabel":"HTML · object"}],"uniqueKey":"catalog.items.[INDEX].gift_card.content_resources","typeLabel":"URL · object | Markdown · object | HTML · object"},"expiry":{"type":"object","properties":{"date_policy":{"oneOf":[{"type":"string","description":"Text description of the policy, suitable for displaying to the customer.","examples":["Expires 2 years from issue date"],"uniqueKey":"catalog.items.[INDEX].gift_card.expiry.date_policy.oneOf.0","typeLabel":"string"},{"type":"null","description":"Text description of the policy, suitable for displaying to the customer.","examples":["Expires 2 years from issue date"],"uniqueKey":"catalog.items.[INDEX].gift_card.expiry.date_policy.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.expiry.date_policy","typeLabel":"string | null"},"in_months":{"type":"integer","description":"Specifies the number of months until the gift expires.","examples":[12],"uniqueKey":"catalog.items.[INDEX].gift_card.expiry.in_months","typeLabel":"integer"},"type":{"type":"string","description":"The type of expiry policy. \n\n | Type | Description | \n | --- | --- | \n | `from-last-use` | The expiration period starts after the gift is used for a purchase. | \n | `from-last-balance-check` | The expiration period starts after the gift balance is checked using phone or online tools. | \n | `from-issue-date` | The expiration period starts from the date the gift was purchased. | \n | `indefinite` | The gift card does not expire and remains valid indefinitely. | \n | `do-not-show` | No expiration information is displayed. |","enum":["from-last-use","from-last-balance-check","from-issue-date","indefinite","do-not-show"],"examples":["from-issue-date"],"uniqueKey":"catalog.items.[INDEX].gift_card.expiry.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"catalog.items.[INDEX].gift_card.expiry","typeLabel":"object"},"redeemable_at":{"description":"Defines where the gift card can be redeemed. Options are `all` for both online and in-store, `in-store` for in-store only, and `online` for online only.","type":"string","enum":["all","online","in-store"],"examples":["all"],"uniqueKey":"catalog.items.[INDEX].gift_card.redeemable_at","typeLabel":"enum\u003cstring>"},"website_url":{"oneOf":[{"description":"The URL of the website for the product. This is the URL that a consumer can use to either redeem the payout or view details about where they can redeem the payout.","type":"string","format":"uri","examples":["https://merchant.example.com"],"uniqueKey":"catalog.items.[INDEX].gift_card.website_url.oneOf.0","typeLabel":"string\u003curi>"},{"description":"The URL of the website for the product. This is the URL that a consumer can use to either redeem the payout or view details about where they can redeem the payout.","type":"null","format":"uri","examples":["https://merchant.example.com"],"uniqueKey":"catalog.items.[INDEX].gift_card.website_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.website_url","typeLabel":"string\u003curi> | null"},"barcode_format":{"oneOf":[{"type":"string","enum":["code-128","code-39","QR","ean-13","pdf417","ITF","DATA_MATRIX","other",null],"description":"The barcode format of the product.","examples":["code-128"],"uniqueKey":"catalog.items.[INDEX].gift_card.barcode_format.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["code-128","code-39","QR","ean-13","pdf417","ITF","DATA_MATRIX","other",null],"description":"The barcode format of the product.","examples":["code-128"],"uniqueKey":"catalog.items.[INDEX].gift_card.barcode_format.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.barcode_format","typeLabel":"enum\u003cstring> | null"},"e_code_usage_type":{"type":"string","enum":["undefined","url-recommended","url-only","code"],"description":"The e-code usage type of the product.","examples":["url-only"],"uniqueKey":"catalog.items.[INDEX].gift_card.e_code_usage_type","typeLabel":"enum\u003cstring>"},"denominations":{"type":"object","description":"Defines the denomination options available for the product, including ranges and types.","properties":{"type":{"type":"string","enum":["open","fixed"],"description":"The type of denomination. Can be `open` or `fixed`. `open` is any amount between the minimum and maximum value. `fixed` is limited to those returned in the `available_list`.","examples":["fixed"],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.type","typeLabel":"enum\u003cstring>"},"minimum_value":{"title":"Monetary amount","description":"The minimum denomination value available for the product.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.minimum_value","typeLabel":"string\u003cdecimal>"},"maximum_value":{"title":"Monetary amount","description":"The maximum denomination value available for the product.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["100.00"],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.maximum_value","typeLabel":"string\u003cdecimal>"},"available_list":{"oneOf":[{"type":"array","items":{"title":"Monetary amount","description":"A monetary amount in the major unit of its currency, given as a decimal string, for example `\"10.00\"`. Amounts are strings so that they survive a round trip without floating point precision loss. Send them as strings and parse them with a decimal type, not a float.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.available_list.oneOf.0.items.[INDEX]","typeLabel":"string\u003cdecimal>"},"description":"A list of available denominations for the product. Will be `null` if the `type` is `open`.","examples":[["10.00","20.00","50.00","100.00"]],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.available_list.oneOf.0","typeLabel":"string\u003cdecimal>[]"},{"type":"null","items":{"title":"Monetary amount","description":"A monetary amount in the major unit of its currency, given as a decimal string, for example `\"10.00\"`. Amounts are strings so that they survive a round trip without floating point precision loss. Send them as strings and parse them with a decimal type, not a float.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"]},"description":"A list of available denominations for the product. Will be `null` if the `type` is `open`.","examples":[["10.00","20.00","50.00","100.00"]],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.available_list.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].gift_card.denominations.available_list","typeLabel":"string\u003cdecimal>[] | null"}},"uniqueKey":"catalog.items.[INDEX].gift_card.denominations","typeLabel":"object"}},"uniqueKey":"catalog.items.[INDEX].gift_card","typeLabel":"object"},"subscription":{"type":"object","description":"Details about the subscription product, only populated when the `payout_type` is `subscription`.","properties":{"assets":{"title":"Product assets","description":"Graphical assets for the product, including card image, icon image, and primary color.","type":"object","properties":{"card_image_url":{"oneOf":[{"type":"string","format":"uri","description":"The URL of the card image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-card.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].subscription.assets.card_image_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The URL of the card image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-card.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].subscription.assets.card_image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.assets.card_image_url","typeLabel":"string\u003curi> | null"},"icon_image_url":{"oneOf":[{"type":"string","format":"uri","description":"The URL of the icon image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-icon.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].subscription.assets.icon_image_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The URL of the icon image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-icon.png?v=1690000000"],"uniqueKey":"catalog.items.[INDEX].subscription.assets.icon_image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.assets.icon_image_url","typeLabel":"string\u003curi> | null"},"primary_color":{"oneOf":[{"type":"string","pattern":"^#[0-9A-Fa-f]{6}$","examples":["#000000"],"uniqueKey":"catalog.items.[INDEX].subscription.assets.primary_color.oneOf.0","typeLabel":"string"},{"type":"null","pattern":"^#[0-9A-Fa-f]{6}$","examples":["#000000"],"uniqueKey":"catalog.items.[INDEX].subscription.assets.primary_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.assets.primary_color","typeLabel":"string | null"}},"uniqueKey":"catalog.items.[INDEX].subscription.assets","typeLabel":"Product assets · object"},"balance_check_url":{"oneOf":[{"type":"string","format":"uri","description":"URL to check the gift card balance. This will be a provider specific URL that a consumer can use to check the balance of the gift card.","examples":["https://merchant.example.com/balance-check"],"uniqueKey":"catalog.items.[INDEX].subscription.balance_check_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"URL to check the gift card balance. This will be a provider specific URL that a consumer can use to check the balance of the gift card.","examples":["https://merchant.example.com/balance-check"],"uniqueKey":"catalog.items.[INDEX].subscription.balance_check_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.balance_check_url","typeLabel":"string\u003curi> | null"},"content_resources":{"oneOf":[{"type":"object","title":"URL","description":"Content resources in URL format.","required":["description_markdown_url","disclaimer_markdown_url","refund_policy_markdown_url","reissuance_policy_markdown_url","terms_buyer_markdown_url","terms_consumer_markdown_url","redemption_instructions_markdown_url","locale"],"properties":{"description_markdown_url":{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the description of the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/description.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.description_markdown_url","typeLabel":"string\u003curi>"},"disclaimer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the disclaimer information.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/disclaimer_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.disclaimer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the disclaimer information.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/disclaimer_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.disclaimer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.disclaimer_markdown_url","typeLabel":"string\u003curi> | null"},"refund_policy_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that outlines the refund policy, if applicable.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/refund_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.refund_policy_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that outlines the refund policy, if applicable.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/refund_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.refund_policy_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.refund_policy_markdown_url","typeLabel":"string\u003curi> | null"},"reissuance_policy_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that details the reissuance policy for the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/reissuance_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.reissuance_policy_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that details the reissuance policy for the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/reissuance_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.reissuance_policy_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.reissuance_policy_markdown_url","typeLabel":"string\u003curi> | null"},"terms_buyer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to buyers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_buyer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.terms_buyer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to buyers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_buyer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.terms_buyer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.terms_buyer_markdown_url","typeLabel":"string\u003curi> | null"},"terms_consumer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to consumers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_consumer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.terms_consumer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to consumers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_consumer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.terms_consumer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.terms_consumer_markdown_url","typeLabel":"string\u003curi> | null"},"redemption_instructions_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that provides instructions for redeeming the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/redeem_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.redemption_instructions_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that provides instructions for redeeming the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/redeem_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.redemption_instructions_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.redemption_instructions_markdown_url","typeLabel":"string\u003curi> | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.0","typeLabel":"URL · object"},{"type":"object","title":"Markdown","description":"Content resources in Markdown format.","required":["description_md","disclaimer_md","refund_policy_md","reissuance_policy_md","terms_buyer_md","terms_consumer_md","redemption_instructions_md","locale"],"properties":{"description_md":{"type":"string","description":"Markdown content for the resource description.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.description_md","typeLabel":"string"},"disclaimer_md":{"oneOf":[{"type":"string","description":"Markdown content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.disclaimer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.disclaimer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.disclaimer_md","typeLabel":"string | null"},"refund_policy_md":{"oneOf":[{"type":"string","description":"Markdown content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.refund_policy_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.refund_policy_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.refund_policy_md","typeLabel":"string | null"},"reissuance_policy_md":{"oneOf":[{"type":"string","description":"Markdown content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.reissuance_policy_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.reissuance_policy_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.reissuance_policy_md","typeLabel":"string | null"},"terms_buyer_md":{"oneOf":[{"type":"string","description":"Markdown content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.terms_buyer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.terms_buyer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.terms_buyer_md","typeLabel":"string | null"},"terms_consumer_md":{"oneOf":[{"type":"string","description":"Markdown content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.terms_consumer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.terms_consumer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.terms_consumer_md","typeLabel":"string | null"},"redemption_instructions_md":{"oneOf":[{"type":"string","description":"Markdown instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.redemption_instructions_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.redemption_instructions_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.redemption_instructions_md","typeLabel":"string | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.1","typeLabel":"Markdown · object"},{"type":"object","title":"HTML","description":"Content resources in HTML format.","required":["description_html","disclaimer_html","refund_policy_html","reissuance_policy_html","terms_buyer_html","terms_consumer_html","redemption_instructions_html","locale"],"properties":{"description_html":{"type":"string","format":"html","description":"HTML content for the resource description.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.description_html","typeLabel":"string\u003chtml>"},"disclaimer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.disclaimer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.disclaimer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.disclaimer_html","typeLabel":"string\u003chtml> | null"},"refund_policy_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.refund_policy_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.refund_policy_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.refund_policy_html","typeLabel":"string\u003chtml> | null"},"reissuance_policy_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.reissuance_policy_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.reissuance_policy_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.reissuance_policy_html","typeLabel":"string\u003chtml> | null"},"terms_buyer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.terms_buyer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.terms_buyer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.terms_buyer_html","typeLabel":"string\u003chtml> | null"},"terms_consumer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.terms_consumer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.terms_consumer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.terms_consumer_html","typeLabel":"string\u003chtml> | null"},"redemption_instructions_html":{"oneOf":[{"type":"string","format":"html","description":"HTML instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.redemption_instructions_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.redemption_instructions_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.redemption_instructions_html","typeLabel":"string\u003chtml> | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].subscription.content_resources.oneOf.2","typeLabel":"HTML · object"}],"uniqueKey":"catalog.items.[INDEX].subscription.content_resources","typeLabel":"URL · object | Markdown · object | HTML · object"},"expiry":{"type":"object","properties":{"date_policy":{"oneOf":[{"type":"string","description":"Text description of the policy, suitable for displaying to the customer.","examples":["Expires 2 years from issue date"],"uniqueKey":"catalog.items.[INDEX].subscription.expiry.date_policy.oneOf.0","typeLabel":"string"},{"type":"null","description":"Text description of the policy, suitable for displaying to the customer.","examples":["Expires 2 years from issue date"],"uniqueKey":"catalog.items.[INDEX].subscription.expiry.date_policy.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.expiry.date_policy","typeLabel":"string | null"},"in_months":{"type":"integer","description":"Specifies the number of months until the gift expires.","examples":[12],"uniqueKey":"catalog.items.[INDEX].subscription.expiry.in_months","typeLabel":"integer"},"type":{"type":"string","description":"The type of expiry policy. \n\n | Type | Description | \n | --- | --- | \n | `from-last-use` | The expiration period starts after the gift is used for a purchase. | \n | `from-last-balance-check` | The expiration period starts after the gift balance is checked using phone or online tools. | \n | `from-issue-date` | The expiration period starts from the date the gift was purchased. | \n | `indefinite` | The gift card does not expire and remains valid indefinitely. | \n | `do-not-show` | No expiration information is displayed. |","enum":["from-last-use","from-last-balance-check","from-issue-date","indefinite","do-not-show"],"examples":["from-issue-date"],"uniqueKey":"catalog.items.[INDEX].subscription.expiry.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"catalog.items.[INDEX].subscription.expiry","typeLabel":"object"},"redeemable_at":{"description":"Defines where the gift card can be redeemed. Options are `all` for both online and in-store, `in-store` for in-store only, and `online` for online only.","type":"string","enum":["all","online","in-store"],"examples":["all"],"uniqueKey":"catalog.items.[INDEX].subscription.redeemable_at","typeLabel":"enum\u003cstring>"},"website_url":{"oneOf":[{"description":"The URL of the website for the product. This is the URL that a consumer can use to either redeem the payout or view details about where they can redeem the payout.","type":"string","format":"uri","examples":["https://merchant.example.com"],"uniqueKey":"catalog.items.[INDEX].subscription.website_url.oneOf.0","typeLabel":"string\u003curi>"},{"description":"The URL of the website for the product. This is the URL that a consumer can use to either redeem the payout or view details about where they can redeem the payout.","type":"null","format":"uri","examples":["https://merchant.example.com"],"uniqueKey":"catalog.items.[INDEX].subscription.website_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.website_url","typeLabel":"string\u003curi> | null"},"barcode_format":{"oneOf":[{"type":"string","enum":["code-128","code-39","QR","ean-13","pdf417","ITF","DATA_MATRIX","other",null],"description":"The barcode format of the product.","examples":["code-128"],"uniqueKey":"catalog.items.[INDEX].subscription.barcode_format.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["code-128","code-39","QR","ean-13","pdf417","ITF","DATA_MATRIX","other",null],"description":"The barcode format of the product.","examples":["code-128"],"uniqueKey":"catalog.items.[INDEX].subscription.barcode_format.oneOf.1","typeLabel":"null"}],"uniqueKey":"catalog.items.[INDEX].subscription.barcode_format","typeLabel":"enum\u003cstring> | null"},"e_code_usage_type":{"type":"string","enum":["undefined","url-recommended","url-only","code"],"description":"The e-code usage type of the product.","examples":["url-only"],"uniqueKey":"catalog.items.[INDEX].subscription.e_code_usage_type","typeLabel":"enum\u003cstring>"},"subscription_plans":{"description":"A list of subscription plans available for the product. You must use the `subscription_plan_code` when ordering a subscription plan, not the top-level `code`.","type":"array","items":{"type":"object","properties":{"length_unit":{"description":"The unit of time for the subscription plan. Currently `DAYS` and `MONTHS` are supported.","type":"string","enum":["DAYS","MONTHS"],"examples":["MONTHS"],"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans.items.[INDEX].length_unit","typeLabel":"enum\u003cstring>"},"length":{"type":"integer","description":"The length of the subscription plan using the `length_unit`.","examples":[12],"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans.items.[INDEX].length","typeLabel":"integer"},"name":{"type":"string","description":"The name of the subscription plan.","examples":["3 month subscription"],"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans.items.[INDEX].name","typeLabel":"string"},"price":{"title":"Monetary amount","description":"The price of the subscription plan.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans.items.[INDEX].price","typeLabel":"string\u003cdecimal>"},"subscription_plan_code":{"description":"Use this code during order creation, rather than the top level `code`.","type":"string","examples":["XYZ-US-SUB-1"],"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans.items.[INDEX].subscription_plan_code","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans.items.[INDEX]","typeLabel":"object"},"uniqueKey":"catalog.items.[INDEX].subscription.subscription_plans","typeLabel":"object[]"}},"uniqueKey":"catalog.items.[INDEX].subscription","typeLabel":"object"},"payment":{"type":"object","properties":{"assets":{"type":"object","required":["icon_image_url","primary_color"],"properties":{"icon_image_url":{"type":"string","format":"uri","description":"The URL of the icon image for the product. Includes a `v` query parameter that changes whenever the underlying image content changes - treat the full URL, including the query string, as the cache key and re-fetch when it changes.","examples":["https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-icon.png?v=1690000000"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.assets.icon_image_url","typeLabel":"string\u003curi>"},"primary_color":{"type":"string","pattern":"^#[0-9A-Fa-f]{6}$","description":"The primary color of the product.","examples":["#000000"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.assets.primary_color","typeLabel":"string"}},"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.assets","typeLabel":"object"},"denominations":{"type":"object","required":["minimum_value","maximum_value"],"properties":{"minimum_value":{"title":"Monetary amount","description":"The minimum denomination value available for the product.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.denominations.minimum_value","typeLabel":"string\u003cdecimal>"},"maximum_value":{"title":"Monetary amount","description":"The maximum denomination value available for the product.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["100.00"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.denominations.maximum_value","typeLabel":"string\u003cdecimal>"}},"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.denominations","typeLabel":"object"},"content_resources":{"oneOf":[{"type":"object","title":"URL","description":"Content resources in URL format.","required":["description_markdown_url","disclaimer_markdown_url","refund_policy_markdown_url","reissuance_policy_markdown_url","terms_buyer_markdown_url","terms_consumer_markdown_url","redemption_instructions_markdown_url","locale"],"properties":{"description_markdown_url":{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the description of the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/description.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.description_markdown_url","typeLabel":"string\u003curi>"},"disclaimer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the disclaimer information.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/disclaimer_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.disclaimer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the disclaimer information.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/disclaimer_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.disclaimer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.disclaimer_markdown_url","typeLabel":"string\u003curi> | null"},"refund_policy_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that outlines the refund policy, if applicable.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/refund_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.refund_policy_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that outlines the refund policy, if applicable.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/refund_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.refund_policy_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.refund_policy_markdown_url","typeLabel":"string\u003curi> | null"},"reissuance_policy_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that details the reissuance policy for the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/reissuance_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.reissuance_policy_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that details the reissuance policy for the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/reissuance_policy_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.reissuance_policy_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.reissuance_policy_markdown_url","typeLabel":"string\u003curi> | null"},"terms_buyer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to buyers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_buyer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.terms_buyer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to buyers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_buyer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.terms_buyer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.terms_buyer_markdown_url","typeLabel":"string\u003curi> | null"},"terms_consumer_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to consumers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_consumer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.terms_consumer_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that contains the terms and conditions applicable to consumers.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/terms_consumer.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.terms_consumer_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.terms_consumer_markdown_url","typeLabel":"string\u003curi> | null"},"redemption_instructions_markdown_url":{"oneOf":[{"type":"string","format":"uri","description":"A URL pointing to a markdown file that provides instructions for redeeming the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/redeem_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.redemption_instructions_markdown_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"A URL pointing to a markdown file that provides instructions for redeeming the resource.","examples":["https://d2abcdef.cloudfront.net/resources/XYZ-US/redeem_markdown.md"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.redemption_instructions_markdown_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.redemption_instructions_markdown_url","typeLabel":"string\u003curi> | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.0","typeLabel":"URL · object"},{"type":"object","title":"Markdown","description":"Content resources in Markdown format.","required":["description_md","disclaimer_md","refund_policy_md","reissuance_policy_md","terms_buyer_md","terms_consumer_md","redemption_instructions_md","locale"],"properties":{"description_md":{"type":"string","description":"Markdown content for the resource description.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.description_md","typeLabel":"string"},"disclaimer_md":{"oneOf":[{"type":"string","description":"Markdown content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.disclaimer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.disclaimer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.disclaimer_md","typeLabel":"string | null"},"refund_policy_md":{"oneOf":[{"type":"string","description":"Markdown content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.refund_policy_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.refund_policy_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.refund_policy_md","typeLabel":"string | null"},"reissuance_policy_md":{"oneOf":[{"type":"string","description":"Markdown content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.reissuance_policy_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.reissuance_policy_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.reissuance_policy_md","typeLabel":"string | null"},"terms_buyer_md":{"oneOf":[{"type":"string","description":"Markdown content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.terms_buyer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.terms_buyer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.terms_buyer_md","typeLabel":"string | null"},"terms_consumer_md":{"oneOf":[{"type":"string","description":"Markdown content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.terms_consumer_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.terms_consumer_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.terms_consumer_md","typeLabel":"string | null"},"redemption_instructions_md":{"oneOf":[{"type":"string","description":"Markdown instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.redemption_instructions_md.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.redemption_instructions_md.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.redemption_instructions_md","typeLabel":"string | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.1","typeLabel":"Markdown · object"},{"type":"object","title":"HTML","description":"Content resources in HTML format.","required":["description_html","disclaimer_html","refund_policy_html","reissuance_policy_html","terms_buyer_html","terms_consumer_html","redemption_instructions_html","locale"],"properties":{"description_html":{"type":"string","format":"html","description":"HTML content for the resource description.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.description_html","typeLabel":"string\u003chtml>"},"disclaimer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.disclaimer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content for the disclaimer information.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.disclaimer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.disclaimer_html","typeLabel":"string\u003chtml> | null"},"refund_policy_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.refund_policy_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content outlining the refund policy, if applicable.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.refund_policy_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.refund_policy_html","typeLabel":"string\u003chtml> | null"},"reissuance_policy_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.reissuance_policy_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content detailing the reissuance policy for the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.reissuance_policy_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.reissuance_policy_html","typeLabel":"string\u003chtml> | null"},"terms_buyer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.terms_buyer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content containing terms and conditions applicable to buyers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.terms_buyer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.terms_buyer_html","typeLabel":"string\u003chtml> | null"},"terms_consumer_html":{"oneOf":[{"type":"string","format":"html","description":"HTML content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.terms_consumer_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML content containing terms and conditions applicable to consumers.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.terms_consumer_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.terms_consumer_html","typeLabel":"string\u003chtml> | null"},"redemption_instructions_html":{"oneOf":[{"type":"string","format":"html","description":"HTML instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.redemption_instructions_html.oneOf.0","typeLabel":"string\u003chtml>"},{"type":"null","format":"html","description":"HTML instructions for redeeming the resource.","isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.redemption_instructions_html.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.redemption_instructions_html","typeLabel":"string\u003chtml> | null"},"locale":{"type":"string","description":"What locale the content resources are in. This is an [IETF language tag](https://en.wikipedia.org/wiki/IETF_language_tag) using an underscore to separate the language and country codes.","pattern":"^[a-z]{2}_[A-Z]{2}$","examples":["en_US"],"isRequired":true,"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2.locale","typeLabel":"string"}},"uniqueKey":"catalog.items.[INDEX].payment.content_resources.oneOf.2","typeLabel":"HTML · object"}],"uniqueKey":"catalog.items.[INDEX].payment.content_resources","typeLabel":"URL · object | Markdown · object | HTML · object"}},"required":["assets","denominations"],"description":"Details about the payment product, only populated when the `payout_type` is `payment`.","uniqueKey":"catalog.items.[INDEX].payment","typeLabel":"object"}},"required":["categories","code","countries_redeemable_in","currency","customer_service","discount_multiplier","name","state","is_orderable","payout_type"],"uniqueKey":"catalog.items.[INDEX]","typeLabel":"object"},"uniqueKey":"catalog","typeLabel":"object[]"},"pagination":{"title":"Pagination","required":["cursors","page"],"type":"object","description":"Information about the page of results returned. See [pagination](/reference/pagination) for more information on how to page through results.","properties":{"cursors":{"title":"Cursors","type":"object","properties":{"after":{"title":"After","description":"Cursor to query the next page.","examples":["A-789"],"type":"string","uniqueKey":"pagination.cursors.after","typeLabel":"string"},"before":{"title":"Before","description":"Cursor to query the previous page.","examples":["A-123"],"type":"string","uniqueKey":"pagination.cursors.before","typeLabel":"string"}},"description":"Pagination cursors, use the `after` cursor to page forward and the `before` cursor to page backward.","isRequired":true,"uniqueKey":"pagination.cursors","typeLabel":"Cursors · object"},"page":{"title":"Page","type":"object","properties":{"limit":{"title":"Limit","description":"How many records the current page is limited to.","examples":[100],"type":"integer","uniqueKey":"pagination.page.limit","typeLabel":"integer"}},"description":"Extra information about the current page.","isRequired":true,"uniqueKey":"pagination.page","typeLabel":"Page · object"}},"uniqueKey":"pagination","typeLabel":"Pagination · object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"catalog":[{"name":"Example Merchant","code":"XYZ-US","currency":"USD","state":"LIVE","is_orderable":true,"payout_type":"gift_card","categories":["food-and-drink","entertainment"],"countries_redeemable_in":["US"],"customer_service":{"phone_number":"+1234567890","website_url":"https://merchant.example.com/customer-service"},"discount_multiplier":"0.05","availability":"realtime","gift_card":{"assets":{"card_image_url":"https://gift.runa.io/static/product_assets/XYZ-US/XYZ-US-card.png?v=1690000000","icon_image_url":"https://gift.runa.
[...]
